import {
  Message,
  Modal
} from 'iview'
import usermodel from '@/api/user'
import { setToken,getToken,removeToken } from '@/utils/auth' // get token from cookie
export default {
  state: {
    token:'',
    user_id:'',
    user_name:'',
  },
  mutations: {
    setToken(state, token) {
      state.token = token
    },
  setName(state,value){
    state.user_name=value
  },
setuserId(state,value){
  console.log('获取id',value)
    state.user_id=value
  }
  },
  getters: {},
  actions: {
    // 登录
    handleLogin({
      commit
    }, {
      user_name,
      password,
    }) {
      // username = username.trim()
      console.log(user_name,password)
      return new Promise((resolve, reject) => {
        usermodel.login({
          user_name,
          password,
        }).then(res => {
          const data = res.data;
          console.log('登录返回的数据:', data)
          localStorage.handleLogin = JSON.stringify(data)
          if (data.code !== 200) {
            return Message.error(data.msg);
          }
          setToken(data.token)
         commit('setToken', getToken())
          resolve(data)
        }).catch(err => {
          reject(err)
        })
      })
    },
// 退出登录
    handleLogOut({
      commit
    }) {
      return new Promise((resolve, reject) => {

        usermodel.logout().then(res => {
          console.log(res)
          const data = res.data;
          if (data.code !== 200) {
            Message.error(data.msg);
          }
          console.log('退出')
          removeToken()
          // commit('setToken', '')      
          resolve('success')
        }).catch(err => {
          // commit('setToken', '')
          resolve()
        })
      })

    },
    // 获取用户相关信息
    getUserInfo({
      state,
      commit
    }) {
      return new Promise((resolve, reject) => {
        try {
          usermodel.getUserInfo().then(res => {
            console.log(res)
            const data = res.data
            console.log(data)
            commit('setName',data.rows.user_name)
            commit('setuserId',data.rows.user_id)
            resolve({
              data
            })
          }).catch(err => {
            reject(err)
          })
        } catch (error) {
          reject(error)
          if (data.code !== 200) {
            return Message.error(data.msg);
          }
        }
      })
    },
  }
}
