import axios from 'axios'
import qs from 'qs'
import store from '../store'

let resfulurl = process.env.VUE_APP_BASE_RESFUL

var request = axios.create({
  //baseURL: '/',
  baseURL:resfulurl,
  timeout: 10000
})

request.interceptors.request.use(config => {
    let REQUEST_DATA = config.data
     const token = store.state.user.token
    config.headers.token = token    
    config.headers['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8'
    config.data = qs.stringify(REQUEST_DATA)
    return config
  }, error => {
    return Promise.reject(error)
  })
  // 响应拦截
  request.interceptors.response.use(res => {
    const { data, status } = res
    return { data, status }
  }, error => {
    console.log(error)
    let errorInfo = error.response
    
    if (!errorInfo) {
      const { request: { statusText, status }, config } = JSON.parse(JSON.stringify(error))
      errorInfo = {
        statusText,
        status,
        request: { responseURL: config.url }
      }
    }
    addErrorLog(errorInfo)
    return Promise.reject(error)
  })

export default class  RequestModelApi{
  constructor(model){
    this.request = request
    this.model = model
  }
}


